#pragma once

#include "Engine/DataTable.h"
#include "HttpStruct.generated.h"

USTRUCT(BlueprintType)
struct FBaseStruct
{
    GENERATED_BODY()

    FBaseStruct(){}
};

USTRUCT(BlueprintType)
struct FLogin_Post  {
    GENERATED_BODY()
        UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "EmoShape Web") FString type;
    UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "EmoShape Web") FString secret;    

    FLogin_Post() {}
};

USTRUCT(BlueprintType)
struct FText_Post  {
    GENERATED_BODY()
        UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "EmoShape Web") FString epuid;
    UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "EmoShape Web") FString message;
    UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "EmoShape Web") FString secret;   

    FText_Post() {}
};

USTRUCT(BlueprintType)
struct FSER_Post  {
    GENERATED_BODY()
    UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "EmoShape Web") FString fileToUpload;
    UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "EmoShape Web") FString wavData;

    FSER_Post() {}
};

USTRUCT(BlueprintType)
struct FBufferAndHeartBeat_Params  {
    GENERATED_BODY()
    UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "EmoShape Web") FString epuid;
    UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "EmoShape Web") FString secret;   

    FBufferAndHeartBeat_Params() {}
};

USTRUCT(BlueprintType)
struct FCustomWave_Put  {
    GENERATED_BODY()
    
    UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "EmoShape Web") FString type;
    UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "EmoShape Web") FString level;
    UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "EmoShape Web") FString duration;
    UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "EmoShape Web") FString origin;
    UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "EmoShape Web") FString apex;
    UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "EmoShape Web") FString curve;
    UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "EmoShape Web") FString epuid;
    UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "EmoShape Web") FString secret;   

    FCustomWave_Put() {}
};

USTRUCT(BlueprintType)
struct FSecretParam {
    GENERATED_USTRUCT_BODY()
    
    UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "EmoShape Web") FString secret;
   
    FSecretParam() {}
};
